/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and 
 * then make any necessary changes to the page using jQuery.
 */
 ( function( $ ) {

    // Update the site title in real time...
    wp.customize( 'blogname', function( value ) {
        value.bind( function( newval ) {
            $( 'h1.site-title a' ).text( newval );
        } );
    } );

    //Update the site description in real time...
    wp.customize( 'blogdescription', function( value ) {
        value.bind( function( newval ) {
            $( 'p.site-description' ).text( newval );
        } );
    } );

    // Header text color.
    wp.customize( 'header_textcolor', function( value ) {
        value.bind( function( color ) { 
            $( 'h1.site-title a, p.site-description' ).css( {
                'color': color
            } );            
        } );
    } );

    //Update site background color...
    wp.customize( 'background_color', function( value ) {
        value.bind( function( newval ) {
            $('body').css('background-color', newval );
        } );
    } );

    //Update site breadcrumb height
    wp.customize( 'breadcrumb_min_height', function( value ) {
        value.bind( function( size ) {                
            $('.breadcrumb-section').css('min-height', size + 'px' );
        } );
    } ); 

    // logo width
    wp.customize( 'logo_width', function( value ) {
        value.bind( function( size ) {             
            $('.logo img').css('width', size + 'px' );
        } );
    } ); 

    //Update site breadcrumb height    
    wp.customize( 'display_header_text', function( value ) {
        value.bind( function( size ) {             
            console.log(size)
        } );
    } ); 
    


} )( jQuery );