<?php 
// customizer theme options settings
add_action( 'customize_register', 'industri_customizer_theme_option_settings');
function industri_customizer_theme_option_settings( $wp_customize ) {	

	$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	// theme option panel
	$wp_customize->add_panel( 
		'theme_options', 
		array(
			'priority'      => 23,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Theme Options', 'industri'),
		) 
	);

	//**********************************************
		//section breadcrumb 1
	//********************************************* 
	$wp_customize->add_section(
		'breadcrumb_section',
		array(
			'title'    => esc_html__( 'Breadcrumb', 'industri' ),
			'panel'	=> 'theme_options',
			'priority' => 0,
		)
	);
	

	// display Breadcrumb
	$wp_customize->add_setting(
		'display_breadcrumb',
		array(
			'default' => true,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'amigo_sanitize_checkbox',								
		)
	);	

	$wp_customize->add_control( 
		'display_breadcrumb',
		array(
			'label'   		=> __('Show/Hide Breadcrumb','industri'),
			'section'		=> 'breadcrumb_section',
			'type' 			=> 'checkbox',								
		)  
	);	

	

	// breadcrumb min height
	if ( class_exists( 'Amigo_Range_Control' ) ) {
		$wp_customize->add_setting('breadcrumb_min_height',
			array(
				'default'     	=> '400',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'amigo_sanitize_range',
				'transport'         => 'postMessage',										
			)
		);
		$wp_customize->add_control( 
			new Amigo_Range_Control( $wp_customize, 'breadcrumb_min_height', 
				array(
					'label'      => __( 'Height', 'industri'),
					'section'  => 'breadcrumb_section',					
					'input_attrs' => array(
						'min'    => 1,
						'step'   => 1,
						'max'    => 1000,		

					),
				) ) 
		);
	}


	

	// Breadcrumb Background image  
	$wp_customize->add_setting( 
		'breadcrumb_bg_image' , 
		array(
			'default' 			=> esc_url(get_template_directory_uri() .'/assets/images/breadcrumb-bg.jpg'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'amigo_sanitize_url',					
		) 
	);

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'breadcrumb_bg_image' ,
		array(
			'label'          => esc_html__( 'Background Image', 'industri'),
			'section'        => 'breadcrumb_section',			
		) 
	));	

}