<?php 
/**
 * displaying homepage Blog section
 * 
 *
 * @package Industri WordPress Theme
 */
?>
<?php 

// Blog section
add_action( 'Industri_Homepage_Sections', 'industri_blog_section', 15 );
function industri_blog_section(){
    $display_blog_section           = get_theme_mod( 'display_blog_section', true );
    if(! $display_blog_section){ return; }

    $blog_title                     = get_theme_mod( 'blog_title' ) ;
    $blog_subtitle                  = get_theme_mod( 'blog_subtitle' );
    $blog_text                      = get_theme_mod( 'blog_text');
    ?>
    <section class="our-blog bg-gray">
        <div class="container">
            <div class="section-title text-center wow bounceInUp">
             <?php if( !empty( $blog_title ) ){ ?>
                <h5>
                    <?php echo esc_html( $blog_title ) ?>
                    <div class="rainbow"></div>
                </h5>
            <?php } ?>
            <?php if( !empty( $blog_subtitle ) ){ ?>
                <h3><?php echo esc_html( $blog_subtitle ) ?></h3>
            <?php } ?>
            <?php if( !empty( $blog_text ) ){ ?>
                <p><?php echo esc_html( $blog_text ) ?></p>
            <?php } ?>
        </div>            
        <div class="swiper-container blog-slider">
            <div class="swiper-wrapper">
                <?php 
                $page = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
                $args = array( 'post_type' => 'post','paged'=>$page );  
                $posts = new WP_Query( $args );
                if ( $posts->have_posts() ) :
                    while ( $posts->have_posts() ) : $posts->the_post(); ?>
                        <div class="swiper-slide">
                            <article class="blog-item">
                                <figure class="entry-content">
                                    <div class="post-thumbnail blog-item-img">
                                       <?php industri_post_thumbnail();?>
                                   </div>
                                   <figcaption class="blog-body">
                                    <time class="entry-date published
                                    updated"> <strong><?php echo esc_html(get_the_date('j')); ?></strong> <?php echo esc_html(get_the_date('M')); ?>
                                </time>    
                                <div class="post-body-inner">
                                    <div class="post-taxonomies content-center">
                                        <div class="post-taxonomies-left">
                                           <?php 
                                           industri_posted_by(); 
                                           industri_tages(); 
                                           ?>
                                       </div>
                                   </div>
                                   <?php the_title( sprintf( '<h3 class="entry-title blog-title"><a href="%s">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                                   <?php the_excerpt();  ?>
                                   <hr />
                                   <a href="<?php echo esc_url( get_permalink() ); ?>"class="btn btn-theme btn-v2 btn-md"> <i class="fa fa-angle-right"aria-hidden="true"></i>
                                    <span> <?php esc_html_e( 'Read More', 'industri' ); ?></span></a>
                                </div>
                            </figcaption>
                        </figure>
                    </article>
                </div> 
                <?php
            endwhile; 
        endif; 
        wp_reset_postdata();
        ?>    
    </div>
    <div class="swiper-pagination"></div>
</div>
</div>
</section>
<?php } ?>